### Constructor

# Dex Cancellable new_from_cancellable

#### Declaration [src]

    DexFuture*
    dex_cancellable_new_from_cancellable (
      GCancellable* cancellable
    )

#### Description [src]

Creates a new `DexCancellable` that will reject when `cancellable` is cancelled or `dex_cancellable_cancel()` is called.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.